Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Packaging Error: Command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us' failed.Exit code: 127



  • hi all.
    I had got error when built my qtgame with qtcreator. Build Issue said me
    @
    :-1: error: Packaging Error: Command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us' failed.Exit code: 127
    @

    and Compile output


    Package Creation: Running command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us'.
    dpkg-buildpackage: set CFLAGS to default value: -g -O2
    ......
    which: pgp: unknown command
    dpkg-buildpackage: source package qtgame
    dpkg-buildpackage: source version 0.1.0
    dpkg-buildpackage: source changed by unknown <>
    dpkg-buildpackage: host architecture armel
    debian/rules build
    debian/rules: line 21: configure:: command not found
    debian/rules: line 22: configure-stamp:: command not found
    debian/rules: line 29: build:: command not found
    debian/rules: line 31: build-stamp:: command not found
    debian/rules: line 40: clean:: command not found
    Makefile:2220: warning: overriding commands for target install_target' Makefile:2211: warning: ignoring old commands for targetinstall_target'
    Makefile:2224: warning: overriding commands for target uninstall_target' Makefile:2215: warning: ignoring old commands for targetuninstall_target'
    debian/rules: line 46: Copying: command not found
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_clean: Compatibility levels before 4 are deprecated.
    debian/rules: line 50: install:: command not found
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_clean: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installdirs: Compatibility levels before 4 are deprecated.
    Makefile:2220: warning: overriding commands for target install_target' Makefile:2211: warning: ignoring old commands for targetinstall_target'
    Makefile:2224: warning: overriding commands for target uninstall_target' Makefile:2215: warning: ignoring old commands for targetuninstall_target'
    debian/rules: line 57: CURDIR: command not found
    debian/rules: line 57: Copying: command not found
    debian/rules: line 58: /C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/qtgame/usr/share/applications/qtgame.desktop.sed: No such file or directory
    mv: cannot stat /C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/qtgame/usr/share/applications/qtgame.desktop.sed': No such file or directory debian/rules: line 60: /C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/qtgame/usr/share/applications/qtgame.desktop.sed: No such file or directory mv: cannot stat/C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/qtgame/usr/share/applications/qtgame.desktop.sed': No such file or directory
    debian/rules: line 65: binary-indep:: command not found
    debian/rules: line 69: binary-arch:: command not found
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installchangelogs: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installdocs: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installexamples: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installman: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_link: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_strip: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_compress: Compatibility levels before 4 are deprecated.
    dh_fixperms: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_installdeb: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_shlibdeps: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_gencontrol: Compatibility levels before 4 are deprecated.
    dpkg-gencontrol: warning: unknown substitution variable ${shlibs:Depends}
    dpkg-gencontrol: warning: unknown substitution variable ${misc:Depends}
    dh_md5sums: Compatibility levels before 4 are deprecated.
    Argument "" isn't numeric in numeric lt (<) at /madlib/perl5/Debian/Debhelper/Dh_Lib.pm line 295, <COMPAT_IN> line 1.
    dh_builddeb: Compatibility levels before 4 are deprecated.
    a - debian-binary
    a - control.tar.gz
    a - data.tar.gz
    debian/rules: line 99: binary:: command not found
    debian/rules: line 100: .PHONY:: command not found
    dpkg-buildpackage: failure: debian/rules build gave error exit status 127
    Packaging Error: Command 'c:/qtsdk/madde/bin/mad dpkg-buildpackage -nc -uc -us' failed.Exit code: 127
    Error while building project qtgame (target: Harmattan)
    When executing build step 'Packaging for Maemo'

    it seem that the qtgame.desktop.sed file wasn't in "/C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/qtgame/usr/share/applications/"

    I show on "C/Users/TapVan/Documents/project/Masterqtgame/src/nokiaqt/qtgame/debian/" and see that there is no "qtgame" folder only has "tmp" folder.

    What happen?


Log in to reply